#!/usr/bin/env bash

{% for domain in ssl.domains %}

# Make directory if it doesn't exist
mkdir -p /etc/ssl/{{ domain }}

# Concatenate new cert files, with less output (avoiding the use tee and its output to stdout)
#
# Multiple certs can exist in the /etc/letsencrypt/live directory depending on renewals. This sorts and takes the latest.
#
bash -c "sudo cat /etc/letsencrypt/live/$(ls /etc/letsencrypt/live | grep '{{ domain }}' | sort -V | tail -n 1)/fullchain.pem /etc/letsencrypt/live/$(ls /etc/letsencrypt/live | grep '{{ domain }}' | sort -V | tail -n 1)/privkey.pem | sudo tee /etc/ssl/{{ domain }}/{{ domain }}.pem"

{% endfor %}

# Restart HAProxy
service haproxy restart
